Subject: 23.0.91; RMAIL file trashed

From: jpff <[email-masked]>
Date: Sun, 1 Mar 2009 12:08:28 +0000

%* RMAIL                 2578  RMAIL 18605/1872  ~/RMAIL
 %* RMAIL-summary      1578585  RMAIL Summary
( I was tidying up a mail file, and found a misfiled mail.  I did a o
command to copy the message to the correct file (~/RMAIL) which was
open.  It seemed tp add it to the end, and update the summary list.
But a short time later i saw a message the RMAIL has shrunk, and on investiga

In GNU Emacs 23.0.91.5 (i686-pc-linux-gnu, GTK+ Version 2.12.0)
 of 2009-03-01 on cardew
Windowing system distributor `The X.Org Foundation', version 11.0.70200000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  auto-image-file-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
SPC d d SPC d SPC b C-x b R M <tab> <return> n d d 
d n n SPC SPC SPC SPC d d h s y SPC <up> <up> <up> 
<up> <up> C-x C-f J u <tab> <return> C-x 1 h C-_ M-x 
r m a i l - m o d e <tab> <return> C-x C-f S P <tab> 
A <tab> <return> C-x 2 C-x b <return> C-x 1 C-x b <return> 
<up> <up> <down> <down> <down> <down> 2 8 - C-x C-s 
C-x b <return> h <escape> < <down> <down> <down> <down> 
SPC d SPC d SPC d d SPC d d a w h i t e <return> l 
<backspace> C-g k f a i <tab> <return> o R M A I L 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
R M A I L <return> C-x b <return> d d d d d d SPC d 
d d d d SPC d SPC SPC <prior> <up> <down> n d d d <up> 
SPC n d d d s y C-x k <return> C-x o C-x k <return> 
C-x b <return> 5 <help-echo> <help-echo> <help-echo> 
<down-mouse-1> <mouse-movement> <mouse-movement> <drag-mouse-1> 
2 <backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> 5 9 SPC i n SPC j u n k C-x 
C-s C-x C-f M A I L / c - <tab> <return> SPC C-_ M-x 
r m a i l - m o d e <return> p p C-x k <return> <up> 
/ 6 <down> <down> <return> 4 SPC M a r SPC 2 0 0 9 
: <tab> <return> C-x C-s C-x b <return> s G d SPC <down> 
C-x C-b C-x <return> M-x r e p o <tab> r t <tab> <
return>

Recent messages:
Wrote /home/jpff/SPAM_record
Expunging deleted messages...done
Computing summary lines...done
Saving file /home/jpff/RMAIL...
Wrote /home/jpff/RMAIL
Added to /home/jpff/MAIL/exim [2 times]
Buffer RMAIL has shrunk a lot; auto save disabled in that buffer until next real save
<<< Press Return to bury the buffer list >>>
Type C-c C-c to exit, Space to select, C-h for help, ? for commands
Making completion list...

==John ffitch